Mailinglist Archive: opensuse-factory (463 mails)

< Previous Next >
[opensuse-factory] New Tumbleweed snapshot 20190621 released!
  • From: Dominique Leuenberger <dimstar@xxxxxxx>
  • Date: Sat, 22 Jun 2019 12:02:18 +0000
  • Message-id: <156120493857.12824.12909068529711329189@go-agent-stagingbot-9>

Please note that this mail was generated by a script.
The described changes are computed based on the x86_64 DVD.
The full online repo contains too many changes to be listed here.

Please check the known defects of this snapshot before upgrading:
https://openqa.opensuse.org/tests/overview?distri=opensuse&groupid=1&version=Tumbleweed&build=20190621

Please do not reply to this email to report issues, rather file a bug
on bugzilla.opensuse.org. For more information on filing bugs please
see https://en.opensuse.org/openSUSE:Submitting_bug_reports

Packages changed:
babl (0.1.64 -> 0.1.66)
gimp (2.10.10 -> 2.10.12)
gitg
grub2
hxtools (20180301 -> 20190428)
ibus-table-others (1.3.4 -> 1.3.9)
iio-sensor-proxy (2.6 -> 2.7)
iputils
k3b (19.04.1 -> 19.04.2)
kexec-tools (2.0.18 -> 2.0.19)
krita (4.1.8 -> 4.2.1)
menulibre (2.2.0 -> 2.2.1)
mtd-utils (2.0.2 -> 2.1.0)
openssl (1.1.1b -> 1.1.1c)
openssl-1_1 (1.1.1b -> 1.1.1c)
pcsc-cyberjack (3.99.5final.SP11 -> 3.99.5final.SP13)
perl-GD (2.69 -> 2.71)
perl-Term-ReadKey (2.37 -> 2.38)
perl-XML-SAX (1.00 -> 1.02)
perl-YAML-LibYAML (0.74 -> 0.79)
perl-ldap (0.65 -> 0.66)
plymouth
python-Babel (2.6.0 -> 2.7.0)
python-M2Crypto (0.33.0 -> 0.35.2)
python-Pillow
python-Twisted (18.9.0 -> 19.2.1)
python-configparser
python-cryptography (2.6.1 -> 2.7)
python-hyperlink (17.2.1 -> 19.0.0)
python-incremental
python-jedi (0.13.2 -> 0.13.3)
python-paramiko (2.4.2 -> 2.5.0)
python-pycryptodome (3.8.1 -> 3.8.2)
python-pygame (1.9.4 -> 1.9.6)
python-qt5
python-rpm-macros (20190430.5260267 -> 20190610.2ee3233)
python-six
python-urllib3 (1.24.2 -> 1.25.3)
python3 (3.7.2 -> 3.7.3)
python3-base (3.7.2 -> 3.7.3)
qemu
rdesktop
rsibreak (0.12.9 -> 0.12.10)
rubygem-bcrypt_pbkdf (1.0.0 -> 1.0.1)
rubygem-bindex (0.5.0 -> 0.7.0)
rubygem-bootsnap (1.4.2 -> 1.4.4)
rubygem-bootstrap-sass (3.4.0 -> 3.4.1)
rubygem-bundler-audit (0.6.0 -> 0.6.1)
rubygem-cool.io (1.5.3 -> 1.5.4)
rubygem-cri (2.15.2 -> 2.15.5)
rubygem-devise-i18n (1.7.1 -> 1.8.0)
rubygem-excon (0.62.0 -> 0.64.0)
rubygem-faraday_middleware (0.12.2 -> 0.13.1)
rubygem-fluentd (1.4.1 -> 1.4.2)
rubygem-font-awesome-rails (4.7.0.4 -> 4.7.0.5)
rubygem-grape (1.2.2 -> 1.2.3)
rubygem-gssapi (1.2.0 -> 1.3.0)
rubygem-haml-rails (1.0.0 -> 2.0.0)
rubygem-hashdiff (0.3.8 -> 0.3.9)
rubygem-highline (2.0.0 -> 2.0.2)
rubygem-hitimes (1.3.0 -> 1.3.1)
rubygem-js-routes (1.4.4 -> 1.4.6)
rubygem-json (2.1.0 -> 2.2.0)
rubygem-json_pure (2.1.0 -> 2.2.0)
rubygem-kramdown (1.17.0 -> 2.1.0)
rubygem-lightbox2 (2.10.0.2 -> 2.11.0)
rubygem-mime-types-data (3.2018.0812 -> 3.2019.0331)
rubygem-mini_magick (4.9.2 -> 4.9.3)
rubygem-mixlib-authentication (2.1.1 -> 3.0.1)
rubygem-mixlib-config (2.2.18 -> 3.0.1)
rubygem-mocha (1.7.0 -> 1.8.0)
rubygem-moneta (1.1.0 -> 1.1.1)
rubygem-msgpack (1.2.9 -> 1.2.10)
rubygem-paint (2.0.3 -> 2.1.0)
rubygem-passenger (6.0.1 -> 6.0.2)
rubygem-pundit (2.0.0 -> 2.0.1)
rubygem-rails-i18n (5.1.2 -> 5.1.3)
rubygem-responders (2.4.0 -> 2.4.1)
rubygem-rspec-its (1.2.0 -> 1.3.0)
rubygem-safe_yaml (1.0.4 -> 1.0.5)
rubygem-sass (3.7.3 -> 3.7.4)
rubygem-sassc-rails (2.1.0 -> 2.1.1)
rubygem-serverengine (2.1.0 -> 2.1.1)
rubygem-sqlite3 (1.3.13 -> 1.4.1)
rubygem-sshkit (1.18.0 -> 1.18.2)
rubygem-term-ansicolor (1.7.0 -> 1.7.1)
rubygem-timers (4.2.0 -> 4.3.0)
rubygem-tmuxinator (0.15.0 -> 1.1.0)
rubygem-unicorn
rubygem-validate_url (1.0.6 -> 1.0.8)
rubygem-yard (0.9.16 -> 0.9.19)
salt
sushi (3.32.0 -> 3.32.1)
systemd-presets-branding-transactional-server
vlc (3.0.6 -> 3.0.7.1)
xdg-desktop-portal-kde (5.16.0 -> 5.16.1)
xfce4-panel-plugin-cpugraph (1.0.5 -> 1.0.90)
zstd

=== Details ===

==== babl ====
Version update (0.1.64 -> 0.1.66)

- Update to version 0.1.66:
+ Added API call, babl_space_get_rgb_luminance.
+ Make most SIMD code-paths optional again on i686.

==== gimp ====
Version update (2.10.10 -> 2.10.12)
Subpackages: gimp-lang gimp-plugin-aa gimp-plugins-python libgimp-2_0-0
libgimpui-2_0-0

- Update to version 2.10.12:
+ Core:
- Add an "Incremental" option to the Dodge/Burn tool, which,
similarly to the Paintbrush, Pencil, and Eraser tools,
applies the effect incrementally as the pointer moves.
- Curves now have a concept of smooth vs corner points: smooth
points produce a smooth curve, while corner points produce a
sharp curve (previously, all points were smooth).
- Search the user font directory path on Windows (since Windows
10, non-admin users have the ability to install fonts). This
is only a temporary hack until fontconfig adds proper
upstream support.
- In gimp_brush_core_get_paint_buffer(), when allocating a new
paint buffer, clear the old buffer *before* allocating the
new one, to reduce the amount of simultaneously allocated
memory.
- In GimpPaintbrush, avoid refilling the paint buffer at each
dab if the paint color/pixmap hasn't changed, hence allowing
faster painting in some specific cases.
- Add hygon cpu detection and enable MMX/SSE support.
- Add a GimpSymmetry::get_transform() virtual function and a
corresponding gimp_symmetry_get_transform() function which
return the brush transform corresponding to a given symmetry
stroke in terms of the rotation angle and reflection flag (in
contrast to gimp_symmetry_get_operation() which returns the
same transforation in terms of a GeglNode). This allows us to
simplify, fix (artifact bugs, etc.), and improve the
painting-code performance for several symmetry painting
cases.
- New gimp-brush-pipe-spacing parasite set by core code to
preserve GIH brush's spacing across reloads.
- Add a new Offset filter tool, as a front-end to gimp:offset.
The tool replaces, and provides the same interface as the
drawable-offset dialog while also providing live preview and
on-canvas interaction.
+ Plug-ins:
- Exported profile and data format strategy updated in several
file plug-ins.
- When not saving a profile, we always export as sRGB data, as
most viewers would not display the image properly otherwise.
- When saving a profile:
. If a profile was manually assigned, we always export to the
assigned format, hence pixel data is converted accordingly,
whatever the work format.
- If no profile was assigned:
. If the export format support high-bit depth, we export the
work format as-is.
. If the export format is 8-bit max, we convert the work
format to sRGB, except if the work format is 8-bit linear.
+ The following plug-ins were updated: JPEG, PNG, TIFF and WebP.
+ Tools:
- Add input/output spin-buttons to the Curves tool, which allow
setting the selected point's coordinates numerically. When
the image precision is greater than 8-bpc, use a 0.00-100.00
range for the point-coordinate spin-buttons instead of a
0-255 range.
- In the Curves tool, allow changing the curve's point types
(cf. new curve corner points in Core section). Corner points
are displayed with a diamond shape instead of a circle.
- Free Select tool now creates a selection as soon as the
polygon is closed. This selection is updated when the
polygon, or the relevant tool-options, change, similarly to
GimpRectangleSelectTool.
- Derive GimpEraser from GimpPaintbrush, instead of directly
from GimpBrushCore. This allows GimpEraser to reuse the
paint-buffer content across dabs, improving performance.
- Allow moving an intersecting pair of guides with the Move tool.
+ User interface:
- In GimpCurveView, when dragging an existing curve point,
don't immediately move the point to the cursor position upon
button press, but rather move it relative to its current
position as the cursor moves. This allows selecting a point
without moving it, and adjusting its position more easily.
- When the cursor hovers above a point in GimpCurveView, or
when dragging a point, have the coordinate indicator show the
point's position, rather than the cursor's.
- In GimpCurveView, when holding down Ctrl while
adding/dragging a point, snap the y-coordinate to the
original curve (at the start of the drag). This is
particularly useful for adding points along the curve.
- In GimpDashboard, don't show legend for groups with no meter.
- Add a tile-alloc-total variable to the dashboard's memory and
misc groups, showing the total amount of memory used by the
tile allocator.
- Add a "Save Keyboard Shortcuts Now" button to the Configure
Keyboard Shortcuts dialog.
+ Updated translations.

==== gitg ====
Subpackages: gitg-lang libgitg-1_0-0 libgitg-ext-1_0-0

- Add gitg-port-to-gtksourceview4.patch: Port to gtksourceview4.
Following this patch, replace pkgconfig(gtksourceview-3.0) with
pkgconfig(gtksourceview-4) BuildRequires.

==== grub2 ====
Subpackages: grub2-i386-pc grub2-snapper-plugin grub2-systemd-sleep-plugin
grub2-x86_64-efi grub2-x86_64-xen

- Avoid high resolution when trying to keep current mode (bsc#1133842)
* grub2-video-limit-the-resolution-for-fixed-bimap-font.patch
- Make GRUB_SAVEDEFAULT working with btrfs (bsc#1128592)
* grub2-grubenv-in-btrfs-header.patch

==== hxtools ====
Version update (20180301 -> 20190428)
Subpackages: fd0ssh ofl

- Update to new upstream release 20190428
* vfontas: new implementation. Replaces clt2bdf, clt2pbm,
cltxscale, fnt2bdf.
* vfontas: xBRZ x6 support
* profile: use new GREP_COLORS variable

==== ibus-table-others ====
Version update (1.3.4 -> 1.3.9)
Subpackages: ibus-table-rustrad ibus-table-translit

- Update version to 1.3.9
* Add ZERO WIDTH JOINERS to hu-old-hungarian-rovas.txt to make ligatures work
with supporting fonts
* Add table for Rovás (Old Hungarian)
* Fix wrong key for keyboard in rusle.txt
* some fixes in mathwriter-ibus
* Use F1,F2,F3,F4,F5,F6,F7,F8,F9 as select keys for the latex table
* Make rusle agree with
http://ru.pc-history.com/wp-content/uploads/ok-keyboard_xt-at1.jpg
* Fix a typo in compose.txt
* Use better localized names for the rusle table
- Change to noarch

==== iio-sensor-proxy ====
Version update (2.6 -> 2.7)

- Update to version 2.7:
+ This release fixes broken sensor readings on multiple platforms due to a
compiler optimisation.

==== iputils ====
Subpackages: rarpd

- Add patch ping-Fix-unwanted-bell-on-unreachable-address.patch (boo#1135118)

==== k3b ====
Version update (19.04.1 -> 19.04.2)
Subpackages: k3b-lang

- Update to 19.04.2
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.04.2.php
- No code changes since 19.04.1

==== kexec-tools ====
Version update (2.0.18 -> 2.0.19)

- Bump to version 2.0.19
Changelog:
http://git.kernel.org/cgit/utils/kernel/kexec/kexec-tools.git/log/?id=refs/tags/v2.0.18..v2.0.19

==== krita ====
Version update (4.1.8 -> 4.2.1)
Subpackages: krita-lang

- Update to 4.2.1:
* See https://krita.org/en/item/krita-4-2-1-released/
* Fix slowdown after a longer period of use (kde#408255,
kde#408133)
* Fix loading vector layers when the image name is not latin1
(kde#408280)
* Fix rectangular grid spacing limits incorrect after resizing
canvas (kde#408166)
* Fix layer properties window draws on top of other application
windows (kde#408170)
* Fix the posterize filter to use non-linear sRGB for computation
* Allow the animation render to start at frame 0 at all times
(kde#408198)
* Enable the Select Opaque actions for group layers (kde#408236)
* Check whether the drive still exists before creating a
temporary directory for animation rendering (kde#408246)
* Prevent the user from deleting locked layers when pressing
shift-del too quickly
* Fix copying and duplicating vector layers (kde#408028)
* Fix Krita's canvas being transparent on Linux when built
against older versions of Qt (kde#408225)
* Fix possible small delays at the beginning of a stroke
(kde#408133)
* Fix folding/unfolding when clicking on a layer thumbnail
* Fix undo/redo when working with guides
* Fix reversed Python API guides lock/show states (kde#408113)
* Make the minimum size for brushes consistent through the
application
* Make the auto brush spacing precision values consistent
(kde#359453)
* Improve selectioon behaviour on the layer docker (kde#408002)
* Fix the vector stroke style propagating to other vector objects
(kde#407683)
* Fix the Document Tools plugin (kde#408146)
* Fix the layer name being deselected when opening the layer name
editor (kde#400357)
- Update the 'License' tag for the 4.2.0 release.
- Update to 4.2.0:
* See https://krita.org/en/krita-4-2-release-notes/
* Fix: Allow changing layer name to set document as modified
(kde#380437)
* Fix: Allow undoing when changing layer names (kde#380437)
* Fix: Update the undo limit if we change it
* Fix: Handling of modified document notification in sub-window
mode (kde#386488)
* Fix: Fix when holding right-click over layer's color settings
(kde#392815)
* Fix: Do not show language switch warning when going back to the
default (kde#362961)
* Fix: Gradient map color mapping issues (kde#388976)
* Fix: Layout improvements and showing levels for histogram
filter (kde#376048)
* Improvement: Add warning when adding shape to clone layer
(kde#406730)
* Usability: Make default background for text editor white for
readability
* Fix: Activation of FFTW convolution worker (kde#407062)
* Fix: Crash in halftone filter (kde#407045)
* Fix: remove notification for unused keyboard short for
wrap-around (kde#407119)
* Fix: Safe assert triggered while drawing (kde#404552)
* Improvement: Warn artists if they try to render an animated GIF
with over 50 FPS (kde#403873)
* Improvement: Handle calculation better for grayscale images in
high bit depth (kde#405693)
* Usability: Make tabs and table headers and text translatable
(kde#406943, kde#406944)
* Improvement: Make zoom mode persistent when moving across
screens
* Fix: Exporting animation frames into EXR format (kde#406830)
* Improvement: Load broken TGA files that have bad alpha data
(kde#354791)
* Python: Allow selecting boundary limits on export (kde#404615)
* Fix: Unable to set minimal shade selector (kde#368587)
* Improvement: Add pixel snap mode for canvas (kde#390952)
* Fix: Load pre-Krita 4.0 transform masks (kde#396815)
* Fix: TIFF export filter flatten images with group layers
(kde#404204)
* Fix: Do not activate already running app instance when
exporting image sequence
* Fix: Memory leak with GIFs when saving and line length
(kde#404160)
* Improvement: Better calculate SVG document size and loading
omitted commands (kde#406124)
* Usability: Hide pattern fill option in vector tools until it is
fully implemented
* Fix: Artifacts when saving vector layers as PNG (kde#404976)
* Fix: Crash when merging back split alpha function
* Fix: Address sanitizer (ASAN) crash when creating a guide
(kde#405732)
* Fix: Hard to select color in vector objects (kde#404975)
* Fix: Undo merging a layer that is cloned (kde#397836)
* Improvement: Add fractional DPI scaling (found in settings)
* Improvement: Allow clone brush to have an option to reset
origin after every stroke
* Fix: Canvas input cursor updates when it has no input focus
(kde#369305)
* Fix: Hiccups when using wheel on Wacom's tablet (kde#381452)
* Fix: Clone brush should use the last layer the source was
placed on (kde#401919)
* Fix: Tilt elevation curve corrections (kde#399846)
* Fix: Do not focus on tag search line edit in the show event
(kde#404131)
* Usability: Only show layer styles contour and texture when
Bevel and Emboss is checked (kde#396015)
* Python: Comics plugin improvements to file saving and creating
documents
* Fix: Pop-up palette color fix when changing themes
* Usability: Improve control point size for brush editor curves
(kde#406233)
* Fix: Make font size consistent (kde#406386)
* Usability: Theme change fixes for overview docker, rulers, and
subwindows
* Fix: Memory leak caused by converting function
* Fix: Wrong position of the merged layer (kde#405686)
* Fix: Right clicking on popup-palette color selector hides it
(kde#402990)
* Fix: rulers showing pixels no matter what unit (kde#406181)
* Fix: Crash in Split Alpha function (kde#406241)
* Fix: wrong bounding box on gradient map (kde#406234)
* Fix: page orientation switch in new dialog (kde#374493)
* Improvement: Do a better job when calculating nearest neighbor
filters (kde#401788)
* Usability: Improve contrast with checkboxes on pen settings and
brush favorites
* Fix: Allow group layers to be transformed and improve logic for
layers that cannot be transformed (kde#406036)
* Fix: Background color being lost after merging (kde#405230)
* Improvement: Remember last used directory for shortcut
import/export (kde#368360)
* Improvement: Improve canvas refresh rate when moving vector
objects (kde#403340, kde#405698)
* Improvement: Intel OpenGL detection for newer drivers
* Fix crash on quick brush engine because of calculations
(kde#404179)
* Fix: splash screen on some high DPI screens
* Improvement: Move color filters on onion skin out of combo box
for easier toggling
* Usability: Improve contrast with checkboxes on brush settings,
pen sensors, and blending modes (bug 404190)
* Fix: hangup when starting painting too quickly after changing
opacity (kde#405879)
* Fix: Data loss when adding multiple hold frames through
right-click menu (kde#404246)
* Fix: Copy correct image cache when cloning a layer (kde#387698)
* Fix: Only show Intel graphics card warning on Windows
* Text: changed "Launch Bug Report Wizard" to "Submit Bug Report"
from main menu (kde#406152)
* Usability: Add tooltip to eraser button in toolbar
* Fix activation of isolate mode when merging layers down
(kde#295981)
* Improvement: Add ability for shape brushes to use patterns for
filling
* Fix: Transform tool crash on layers with pass-through mode
* Improvement: Add more information like HighDPI and language to
usage logger
* Fix: Make sure a masked painter knows about outlines
(kde#404963)
* Fix: Make sure polyline takes into account the no-stroke
setting
* Feature: Add ability to export animation to PNG sequence using
commandline
* Fix: Better handle loading recent files (kde#405364)
* Improvement: Better show/hide progress bars when loading an
unsupported image (kde#402625)
* Feature: Add mirroring capability for Quick brush (kde#372636)
* Usability: Add a second row to pop-up palette presets if the
number gets above 20 so they are easier to see
* Fix: Color smudge might not have an image for tip (kde#405336)
* Fix: Prevent crash with mirror manager decorations
* Fix: When no outline is selected, outline doesn't use brush
width (kde#398509)
* Fix: Low pixel size limit in Scale to New Size dialog
* Feature: Simplex Noise Generator can now be used from a fill
layer
* Usability: Make disabled icons in animation docker
semi-transparent to be like other disabled icons
* Fix: creating vector shapes with pattern fills (kde#405037)
* Fix: minimum animation cell grid size on windows
* Fix: conversion errors in Scale new image dialog (kde#400177)
* Improve UI for Arrange docker to make it easier to understand
(kde#399984, kde#394084)
* Fix: Only load a thumbnail for a recent file that still exists
(kde#401939)
* Improve angle selection on layer effects (kde#372169)
* Fix: Restore broken fonts (kde#402092)
* Add a few new options for fill type when creating new documents
* Fix: Remove the default shortcut for text tool. We just don't
have any good available keys left (kde#402270)
* Improve animation export dialog: Add warning when dimensions
are not divisible by 2 for MP4 and MKV. Make sure the default
dialog uses the encoder config for the format
* Fix opening templates from the command line (kde#402342)
* Inserting a layer when on a group layer adds it above the layer,
not inside it now (kde#399103)
* Feature: Advanced Color Selector - Add option to hide the color
selector in the configure menu (kde#337328)
* Remove old Karbon gradient files that weren't being used
* Fix: Restore the UI after crashing in canvas only mode
(kde#402710)
* Fix: Added safe assert to prevent Krita from crashing when a
toolbar gets accidentally enabled
* Improvement: Add more information to the bug reporter with
memory, CPU cores, and swap location
* Usability: Update the layer box to better to support RTL
languages
* Feature: Add Python plugin importer to make importing plugins
easier
* Improvement: Add direction choice for the Image Split feature
* Fix: Actions on Move Tool only being executed after changing
current node in move tool (kde#403048)
* Fix: Python API. Fix crash when trying to access projection
pixel data on transform mask (kde#402382)
* Fix: Return colorspace of projection before returning the
colorspace of the node (kde#402382)
* Improvement: Enable automatic docstring generation for python
* Fix: Loading KRA files with image names starting with a "/"
symbol
* Fix: Enabling the selection mode shortcuts (kde#403587)
* Improvement: Generator Layers. Added real-time preview when
changing layer properties
* Improvement: Polygonal Selection: Add ability to undo these
operations
* Fix: File layers: Use the mergedimage preview when opening ORA
or KRA files
* Improvement: Transform Tool: Added Granularity to tool options
* Improvement: Added new blending modes: Reflect, Glow, Freeze,
Heat, Glow-Heat, Heat-Glow, Reflect-Freeze, Freeze-Reflect,
Heat-Glow & Freeze-Reflect Hybrid
* Fix: Save mirror tool state to KRA file (kde#339515)
* Usability: Make it easier to select lower values for stabilizer
sliders
* Fix: Saving reference images z-order (kde#403974)
* Fix: Disable use of Always Use Template in the New File Window
(kde#399796)
* Usability: Add a tooltip to the composition docker
* Fix: Bug where mirroring canvas would get out of sync with the
main menu action
* Fix: Check if animation config exists before accessing its
contents (kde#404521)
- Drop fix_libgif_5_0_build.patch, Leap 42.3 is too old
- Remove unnecessary build requirements
- Remove conflict with calligra-devel, no longer necessary
- Run spec-cleaner

==== menulibre ====
Version update (2.2.0 -> 2.2.1)

- Polished spec file:
- Remove hashbang line from non-executable library files
- Replaced python3 with %{__python3} macro
- Added check with desktop-file-validate
- Update version to 2.2.1
* Automatically generate changelog when built from git or released
* Bug Fixes
- Correctly display markup in the application name (lp#1813427)
- Fix UnicodeDecodeError with non-English locales (lp#1825213)
- Drop invalid error for non-existent Exec key (lp#1788814)
- Decode stderr as UTF-8 (lp#1789635)
* Translation Updates

==== mtd-utils ====
Version update (2.0.2 -> 2.1.0)

- Update to version 2.1.0:
* Features:
+ mkfs.ubifs: Implement support for file system encryption
+ mkfs.ubifs: Implement selinux labelling support
+ ubinize: add support for skipping CRC check of a static volume when
opening
+ ubimkvol: add support for skipping CRC check of a static volume when
opening
+ Add lsmtd program
* Fixes:
- update various kernel headers
+ Instead of doing preprocessor magic, just output off_t as long long
+ fix verification percent display in flashcp
+ mkfs.ubifs: fix double free
+ mkfs.ubifs: Fix xattr nlink value
+ ubinize: avoid to create two UBI_LAYOUT_VOLUME_ID volume
+ common.h: fix prompt function
+ libmtd: don't print an error message for devices without ecc support
+ io_paral: Fix error handling of update_volume()
+ ubimkvol: Initialize req to zero to make sure no flags are set by default
+ libubi: add volume flags to ubi_mkvol_request
+ mkfs.ubifs: add_xattr is not depending on host XATTR support
+ Revert "Return correct error number in ubi_get_vol_info1" which
introduced a regression.
+ make sure pkg-config is installed in configure script
+ ubiformat: process command line arguments before handling file arguments
* Cleanup:
+ ubiformat: remove no-volume-table option

==== openssl ====
Version update (1.1.1b -> 1.1.1c)
Subpackages: libopenssl-devel

- Update to 1.1.1c release

==== openssl-1_1 ====
Version update (1.1.1b -> 1.1.1c)
Subpackages: libopenssl-1_1-devel libopenssl1_1 libopenssl1_1-32bit

- Use upstream patch for the locale crash (bsc#1135550)
* https://github.com/openssl/openssl/pull/8966
- delete openssl-fix_underflow_in_errstr_handling.patch
- add 0001-build_SYS_str_reasons-Fix-a-crash-caused-by-overlong.patch
- Add s390x vectorized support for ChaCha20 and Poly1305
(jsc#SLE-6126, jsc#SLE-6129)
* 0001-s390x-assembly-pack-perlasm-support.patch
* 0002-crypto-chacha-asm-chacha-s390x.pl-add-vx-code-path.patch
* 0003-crypto-poly1305-asm-poly1305-s390x.pl-add-vx-code-pa.patch
* 0004-s390x-assembly-pack-fix-formal-interface-bug-in-chac.patch
* 0005-s390x-assembly-pack-import-chacha-from-cryptogams-re.patch
* 0006-s390x-assembly-pack-import-poly-from-cryptogams-repo.patch
- delete 0001-crypto-poly1305-asm-poly1305-s390x.pl-add-vx-code-pa.patch
- Update to 1.1.1c (bsc#1133925, jsc#SLE-6430)
* Prevent over long nonces in ChaCha20-Poly1305 (CVE-2019-1543)
ChaCha20-Poly1305 is an AEAD cipher, and requires a unique nonce input
for every encryption operation. RFC 7539 specifies that the nonce value
(IV) should be 96 bits (12 bytes). OpenSSL allows a variable nonce length
and front pads the nonce with 0 bytes if it is less than 12
bytes. However it also incorrectly allows a nonce to be set of up to 16
bytes. In this case only the last 12 bytes are significant and any
additional leading bytes are ignored.
* Add build tests for C++. These are generated files that only do one
thing, to include one public OpenSSL head file each. This tests that
the public header files can be usefully included in a C++ application.
* Enable SHA3 pre-hashing for ECDSA and DSA.
* Change the default RSA, DSA and DH size to 2048 bit instead of 1024.
This changes the size when using the genpkey app when no size is given. It
fixes an omission in earlier changes that changed all RSA, DSA and DH
generation apps to use 2048 bits by default.
* Reorganize the manual pages to consistently have RETURN VALUES,
EXAMPLES, SEE ALSO and HISTORY come in that order, and adjust
util/fix-doc-nits accordingly.
* Add the missing accessor EVP_PKEY_get0_engine()
* Have apps like 's_client' and 's_server' output the signature scheme
along with other cipher suite parameters when debugging.
* Make OPENSSL_config() error agnostic again.
* Do the error handling in RSA decryption constant time.
* Ensure that SM2 only uses SM3 as digest algorithm
- drop upstreamed patches:
* openssl-fix-handling-of-GNU-strerror_r.patch
* 0001-Fix-for-BIO_get_mem_ptr-and-related-regressions.patch
- update keyring by including Richard Levitte's key

==== pcsc-cyberjack ====
Version update (3.99.5final.SP11 -> 3.99.5final.SP13)

- Remove redundant %clean section, replace old $RPM_* shell vars.
- removed unused code which was still built
(no-checksuite.patch, no-libdialog.patch, and manual removal from
source archive)
- removed obsolete patch
ctapi-cyberjack-check.patch
- update to 3.99.5 Service Pack 13
* Update to the Reiner-SCT repository rev cyberJack@1374
- removed obsolete patches
* a58a29c08b1da647e5efe08641abcb0144740b8b.patch
* pcsc-cyberjack-fprintf.patch
- add new devices to udev rules (2000, 0551, 2002)
- Add patch to get cyberJack RFID komfort working
(a58a29c08b1da647e5efe08641abcb0144740b8b.patch)

https://forum.reiner-sct.com/index.php?/topic/3728-failed_to_transmit_control_command_to_the_terminal
- update to 3.99.5 Service Pack 12
* Add support for cyberJack one MF
* man-page removed upstream

==== perl-GD ====
Version update (2.69 -> 2.71)

- updated to 2.71
see /usr/share/doc/packages/perl-GD/ChangeLog
2.71 * skip Test::Fork on freebsd (GH #25)
2.70 * fixes for hardened CCFLAGS with -Werror (RT #128167)
- Rebased patch GD-cflags.patch
- Enabled tests during build
- Updated URL to MetaCPAN

==== perl-Term-ReadKey ====
Version update (2.37 -> 2.38)

- update to 2.38
* Bundle up various changes including:
* Indexing improvements
* Makefile improvements for some make utils
* Various code cleanups and modernizations
- Updated URL to MetaCPAN
- Updated spec file with spec-cleaner

==== perl-XML-SAX ====
Version update (1.00 -> 1.02)

- update to 1.02
see /usr/share/doc/packages/perl-XML-SAX/Changes
1.02 14 Jun 2019 Grant McLean
- Spelling fixes (patch from Ville Skyttä)
- Add repo location to metadata (patches from Ville Skytta & Martin McGrath)
- Reorganise module files under lib/XML
- Regenerate MANIFEST using 'make manifest' to include missing test files
- Updated URL to MetaCPAN
- Rebased perl-XML-SAX-0.96-utf8.diff

==== perl-YAML-LibYAML ====
Version update (0.74 -> 0.79)

- update to 0.79
0.79 Tue 11 Jun 2019 09:35:22 PM CEST
- Support aliasing scalars resolved as null or booleans (tinita)
- Add YAML::XS::LibYAML::libyaml_version() (tinita)
- Support standard !!int/!!float tags instead of dying (tinita)
0.78 Sat 18 May 2019 06:35:21 PM CEST
- Fix double free/core dump when Dump()ing binary data, see issue#91 (tinita)
- Update config.h from libyaml (tinita)
0.77 Mon 15 Apr 2019 10:55:13 PM CEST
- Update libyaml to version 0.2.2. Most important change for users is that
plain
urls in flow style can be parsed now. Example: `[ http://yaml.org]`.
(tinita)
0.76 Sun Dec 30 20:10:16 CET 2018
- Add $Indent - number of spaces when dumping. PR#89 @zdm++
- Fix typo in docs. PR#87 @mr-mixas++
- Fix links in docs. @manwar++
0.75 Sat Nov 3 14:17:28 CET 2018
- Implement $LoadCode (tinita)

==== perl-ldap ====
Version update (0.65 -> 0.66)

- update to 0.66
Enhancements
* Entry.pm: accept more options in ldif()
* inc/: refresh install tools
* contrib/ldifsort: new option -h
* documentation extensions
* typo fixes
Bug Fixes
* contrib/schema2ad: fix syntax calculation
* Refresh.pm: fix get_ttl() method
* DSML: fix detection of auxiliary object classes
- Dropped patch fixed upstream perl526.patch
- Updated URL to MetaCPAN
- Updated spec file with spec-cleaner

==== plymouth ====
Subpackages: libply-boot-client4 libply-splash-core4 libply-splash-graphics4
libply4 plymouth-dracut plymouth-plugin-label plymouth-plugin-label-ft
plymouth-plugin-two-step plymouth-scripts plymouth-theme-bgrt
plymouth-theme-spinner

- Add dependency to dracut for plymouth-scripts(bnc#1138248).

==== python-Babel ====
Version update (2.6.0 -> 2.7.0)

- version update to 2.7.0
Possibly incompatible changes
* General: Internal uses of ``babel.util.odict`` have been replaced with
``collections.OrderedDict`` from The Python standard library.
Improvements
* CLDR: Upgrade to CLDR 35.1 - Alberto Mardegan, Aarni Koskela (#626, #643)
* General: allow anchoring path patterns to the start of a string -
Brian Cappello (#600)
* General: Bumped version requirement on pytz - @chrisbrake (#592)
* Messages: `pybabel compile`: exit with code 1 if errors were encountered
- Aarni Koskela (#647)
* Messages: Add omit-header to update_catalog - Cédric Krier (#633)
* Messages: Catalog update: keep user comments from destination by default
- Aarni Koskela (#648)
* Messages: Skip empty message when writing mo file - Cédric Krier (#564)
* Messages: Small fixes to avoid crashes on badly formatted .po files
- Bryn Truscott (#597)
* Numbers: `parse_decimal()` `strict` argument and `suggestions`
- Charly C (#590)
* Numbers: don't repeat suggestions in parse_decimal strict - Serban
Constantin (#599)
* Numbers: implement currency formatting with long display names
- Luke Plant (#585)
* Numbers: parse_decimal(): assume spaces are equivalent to non-breaking
spaces when not in strict mode - Aarni Koskela (#649)
* Performance: Cache locale_identifiers() - Aarni Koskela (#644)
Bugfixes
* CLDR: Skip alt=... for week data (minDays, firstDay, weekendStart,
weekendEnd) - Aarni Koskela (#634)
* Dates: Fix wrong weeknumber for 31.12.2018 - BT-sschmid (#621)
* Locale: Avoid KeyError trying to get data on WindowsXP - mondeja (#604)
* Locale: get_display_name(): Don't attempt to concatenate variant
information to None - Aarni Koskela (#645)
* Messages: pofile: Add comparison operators to _NormalizedString - Aarni
Koskela (#646)
* Messages: pofile: don't crash when message.locations can't be sorted
- Aarni Koskela (#646)

==== python-M2Crypto ====
Version update (0.33.0 -> 0.35.2)

- Update to fix release 0.35.2 ... just fixing the test suite.
- Replace fix_OpenSSL111c.patch with proper new release 0.35.1
(there is really not much more in it).
- Add fix_OpenSSL111c.patch patch to ensure compatibility with
OpenSSL 1.1.1c. gl#m2crypto/m2crypto#258
- Upgrade to 0.34.0
- no upstream changelog

==== python-Pillow ====
Subpackages: python2-Pillow python3-Pillow

- Fix if/else for arch check (skip some tests on some
architectures).
- Fix if/else for arch checkcheck

==== python-Twisted ====
Version update (18.9.0 -> 19.2.1)

- update to 19.2.1 (bsc#1137825, CVE-2019-12387):
* Prevent CRLF injections described in CVE-2019-12387
- Update to 19.2.0:
* twisted.internet.ssl.CertificateOptions now uses 32 random bytes instead of
an MD5 hash for the ssl session identifier context. (#9463)
* DeferredLock and DeferredSemaphore can be used as asynchronous context
managers on Python 3.5+. (#9546)
* t.i.b.BaseConnector has custom __repr__ (#9548)
* twisted.internet.ssl.optionsForClientTLS now supports validating IP
addresses from the certificate subjectAltName (#9585)
* Twisted's minimum Cryptography requirement is now 2.5. (#9592)
* twisted.conch.ssh.keys can now read private keys in the new
"openssh-key-v1" format, introduced in OpenSSH 6.5 and made the default in
OpenSSH 7.8. (#9515)
* twisted.web.client.HostnameCachingHTTPSPolicy was added as a new
contextFactory option. The policy caches a specified number of
twisted.internet.interfaces.IOpenSSLClientConnectionCreator instances to to
avoid the cost of instantiating a connection creator for multiple requests to
the same host. (#9138)
- Remove merged patches:
* openssl-errormsg.aptch
* openssl111.patch
- Add patch to tests for new hyperlink:
* hyperlink.patch

==== python-configparser ====

- Switch to multibuild to avoid buildcycle

==== python-cryptography ====
Version update (2.6.1 -> 2.7)
Subpackages: python2-cryptography python3-cryptography

- update to 2.7
* BACKWARDS INCOMPATIBLE: Removed the
cryptography.hazmat.primitives.mac.MACContext interface.
The CMAC and HMAC APIs have not changed, but they are no longer registered
as MACContext instances.
* Removed support for running our tests with setup.py test.
* Add support for :class:`~cryptography.hazmat.primitives.poly1305.Poly1305`
when using OpenSSL 1.1.1 or newer.
* Support serialization with Encoding.OpenSSH and PublicFormat.OpenSSH
in :meth:`Ed25519PublicKey.public_bytes
<cryptography.hazmat.primitives.asymmetric.ed25519.Ed25519PublicKey.public_bytes>`
.
* Correctly allow passing a SubjectKeyIdentifier to
:meth:`~cryptography.x509.AuthorityKeyIdentifier.from_issuer_subject_key_identifier`
and deprecate passing an Extension object.
- Simplify the test execution to be more understandable

==== python-hyperlink ====
Version update (17.2.1 -> 19.0.0)

- Add missing runtime dependency on idna
- version update to 19.0.0
* When passed to `str()` URLs now stringify to usable URL
strings. (See #49)
* Switched off of Python's built-in IDNA facilities to using the
[idna](https://pypi.python.org/pypi/idna) package. Not only is it
much more modern, it's also much more strict and correct in its
output. (See #19 and #56)
* Added new `DecodedURL` type with almost-identical API to the normal
`URL`, except that it automatically handles reserved characters in
argument values passed to its methods. (See #6, #11, #44)
* Added top-level `parse()` convenience function that now represents
the main entrypoint to hyperlink.
* Accept dictionaries as ?query=? arguments, in addition to
sequences of tuples (see #50)
* `URL.child()` will no longer fail when child gets no segments (#42 and #43)
* `URL.normalize()` now supports encoding stray/unmatched `%` characters
in character-encoded fields (userinfo, path, query string, fragment)
(see #61, #62)

==== python-incremental ====

- Switch to multibuild to avoid build cycle
- run the testsuite

==== python-jedi ====
Version update (0.13.2 -> 0.13.3)

- Disable tests as it is not working at all on python 3.7
- Do not bother condition for typing, on 3.7+ it is provided by base
- Update to 0.13.3:
* Fixed an issue with embedded Python see
https://github.com/davidhalter/jedi-vim/issues/870
- Fix the typing dependency
- Really run the tests

==== python-paramiko ====
Version update (2.4.2 -> 2.5.0)

- update to 2.5.0
- dropped 1379.patch
- refreshed patches:
paramiko-test_extend_timeout.patch
relaxed.patch
1311.patch
* Add support for encrypt-then-MAC (ETM) schemes
(hmac-sha2-256-etm@xxxxxxxxxxx,
hmac-sha2-512-etm@xxxxxxxxxxx) and two newer Diffie-Hellman group key
exchange
algorithms (group14, using SHA256; and group16, using SHA512).
* Add support for Curve25519 key exchange.
* Raise Cryptography dependency requirement to version 2.5
* Add support for the modern (as of Python 3.3) import location of
MutableMapping

==== python-pycryptodome ====
Version update (3.8.1 -> 3.8.2)
Subpackages: python2-pycryptodome python3-pycryptodome

- Update Source to point to github.
- Update to 3.8.2
* GH#291: fix strict aliasing problem, emerged with GCC 9.1.

==== python-pygame ====
Version update (1.9.4 -> 1.9.6)

- version update to 1.9.6
* mixer thread deadlock issue when controlling it from different
threads.
* pygame.version.vernum now has major, minor, and patch attributes.
- added patches
Do not test mp3 format.
+ python-pygame-test-no-mp3.patch

==== python-qt5 ====
Subpackages: python-qt5-utils python3-qt5

- Add reproducible.patch to make package build reproducible (boo#1041090)

==== python-rpm-macros ====
Version update (20190430.5260267 -> 20190610.2ee3233)

- Update to version 20190610.2ee3233:
* Fix typo, missing opening brace.
* Add the first draft of pyproject_wheel and pyproject_install macros.
* Yet another attempt to preserve $PYTHONPATH set in the environment.
* Document also %pytest_arch
* Document %pytest in README.md
* Multiline macros don't work correctly on older RPMs.
* Add missing $ expansion on the pytest call
* Rewrite pytest and pytest_arch into Lua macros with multiple arguments.
* We should preserve existing PYTHONPATH.
* Add --ignore to pytest calls to ignore build directories.
- Update to version 20190610.2ee3233:
* Fix typo, missing opening brace.
- Update to version 20190511.2ed22b6:
* Add the first draft of pyproject_wheel and pyproject_install macros.

==== python-six ====
Subpackages: python2-six python3-six

- Fix pytest call
- Fixdocumentation package generating

==== python-urllib3 ====
Version update (1.24.2 -> 1.25.3)

- Fixup pre script: the migration issue happens when changing from
python-urllib3 to python2-urllib3: the number of installed
instances of python2-urlliib3 is at this moment 1, unlike in
regular updates. This is due to a name change, which consists not
of a pure package update.
- Provides/Obsoletes does not fix the issue: we have a
directory-to-symlink switch, which cannot be handled by RPM
internally. Assist using pre script (boo#1138715).
- Fix Upgrade from Leap 42.1/42.2 by adding Obsoletes/Provides:
python-urllib3, fixes boo#1138746
- Skip test_source_address_error as we raise different error with
fixes that we provide in new python2/3
- Add more test to skip as with new openssl some behaviour changed
and we can't rely on them anymore
- Unbundle the six, rfc3986, and backports.ssl_match_hostname
- Update to 1.25.3:
* Change HTTPSConnection to load system CA certificates when ca_certs,
ca_cert_dir, and ssl_context are unspecified. (Pull #1608, Issue #1603)
* Upgrade bundled rfc3986 to v1.3.2. (Pull #1609, Issue #1605)
- Update to 1.25.2:
* Change is_ipaddress to not detect IPvFuture addresses. (Pull #1583)
* Change parse_url to percent-encode invalid characters within the path,
query, and target components. (Pull #1586)
* Add support for Google's Brotli package. (Pull #1572, Pull #1579)
* Upgrade bundled rfc3986 to v1.3.1 (Pull #1578)
- Require all the deps from the secure list rather than Recommend.
This makes the check to be run always and ensure the urls are
"secure".
- Remove ndg-httpsclient as it is not needed since 2015
- Add missing dependency on brotlipy
- Fix the tests to pass again
- update to 1.25 (bsc#1132663, CVE-2019-11236):
* Require and validate certificates by default when using HTTPS
* Upgraded ``urllib3.utils.parse_url()`` to be RFC 3986 compliant.
* Added support for ``key_password`` for ``HTTPSConnectionPool`` to use
encrypted ``key_file`` without creating your own ``SSLContext`` object.
* Add TLSv1.3 support to CPython, pyOpenSSL, and SecureTransport
``SSLContext``
implementations. (Pull #1496)
* Switched the default multipart header encoder from RFC 2231 to HTML 5
working draft.
* Fixed issue where OpenSSL would block if an encrypted client private key was
given and no password was given. Instead an ``SSLError`` is raised.
* Added support for Brotli content encoding. It is enabled automatically if
``brotlipy`` package is installed which can be requested with
``urllib3[brotli]`` extra.
* Drop ciphers using DSS key exchange from default TLS cipher suites.
Improve default ciphers when using SecureTransport.
* Implemented a more efficient ``HTTPResponse.__iter__()`` method.
- Drop urllib3-test-ssl-drop-sslv3.patch . No longer needed
- Update to 1.24.2:
- Implemented a more efficient HTTPResponse.__iter__() method.
(Issue #1483)
- Upgraded urllib3.utils.parse_url() to be RFC 3986 compliant.
(Pull #1487)
- Remove Authorization header regardless of case when
redirecting to cross-site. (Issue #1510)
- Added support for key_password for HTTPSConnectionPool to use
encrypted key_file without creating your own SSLContext
object. (Pull #1489)
- Fixed issue where OpenSSL would block if an encrypted client
private key was given and no password was given. Instead an
SSLError is raised. (Pull #1489)
- Require and validate certificates by default when using HTTPS
(Pull #1507)
- Added support for Brotli content encoding. It is enabled
automatically if brotlipy package is installed which can be
requested with urllib3[brotli] extra. (Pull #1532)
- Add TLSv1.3 support to CPython, pyOpenSSL, and
SecureTransport SSLContext implementations. (Pull #1496)
- Drop ciphers using DSS key exchange from default TLS cipher
suites. Improve default ciphers when using SecureTransport.
(Pull #1496)
- Add support for IPv6 addresses in subjectAltName section of
certificates. (Issue #1269)
- Switched the default multipart header encoder from RFC 2231
to HTML 5 working draft. (Issue #303, PR #1492)
- Update to 1.24.1:
* Remove quadratic behavior within GzipDecoder.decompress()
(Issue #1467)
* Restored functionality of ciphers parameter for
create_urllib3_context(). (Issue #1462)
- Update to 1.24:
* Allow key_server_hostname to be specified when initializing a PoolManager
to allow custom SNI to be overridden. (Pull #1449)
* Test against Python 3.7 on AppVeyor. (Pull #1453)
* Early-out ipv6 checks when running on App Engine. (Pull #1450)
* Change ambiguous description of backoff_factor (Pull #1436)
* Add ability to handle multiple Content-Encodings (Issue #1441 and Pull
#1442)
* Skip DNS names that can't be idna-decoded when using pyOpenSSL (Issue
#1405).
* Add a server_hostname parameter to HTTPSConnection which allows for
overriding the SNI hostname sent in the handshake. (Pull #1397)
* Drop support for EOL Python 2.6 (Pull #1429 and Pull #1430)
* Fixed bug where responses with header Content-Type: message/* erroneously
raised HeaderParsingError, resulting in a warning being logged. (Pull #1439)
* Move urllib3 to src/urllib3 (Pull #1409)
- Drop patch 1414.patch merged upstream
- Refresh patches:
* python-urllib3-recent-date.patch
* urllib3-ssl-default-context.patch
- Switch to multibuild to minize requirements for providing
urllib3 module.
- fix dependency again for passing tests for python 2.x
- Do not use ifpython2 for BRs where it does not work
- add python-ipaddress dependency for python 2.x
- Drop not needed devel and nose deps
- update to 1.23
- add 1414.patch - fix tests with new tornado
- refresh python-urllib3-recent-date.patch
- drop urllib3-test-no-coverage.patch
* Allow providing a list of headers to strip from requests when redirecting
to a different host. Defaults to the Authorization header. Different
headers can be set via Retry.remove_headers_on_redirect.
* Fix util.selectors._fileobj_to_fd to accept long
* Dropped Python 3.3 support.
* Put the connection back in the pool when calling stream()
or read_chunked() on a chunked HEAD response.
* Fixed pyOpenSSL-specific ssl client authentication issue when clients
attempted to auth via certificate + chain
* Add the port to the connectionpool connect print
* Don't use the uuid module to create multipart data boundaries.
* read_chunked() on a closed response returns no chunks.
* Add Python 2.6 support to contrib.securetransport
* Added support for auth info in url for SOCKS proxy
- Allows Recommends and Suggest in Fedora
- Recommends only for SUSE
- disable more flaky tests specifically for PowerPC
- Add python-urllib3-recent-date.patch: Fix test suite, use correct
date (gh#shazow/urllib3#1303, boo#1074247).
- use python3 for detection, in anticipation of python2 removal
- Disable tests that timeout
- update to 1.22:
* Fixed missing brackets in ``HTTP CONNECT`` when connecting to IPv6 address
via
IPv6 proxy. (Issue #1222)
* Made the connection pool retry on ``SSLError``. The original ``SSLError``
is available on ``MaxRetryError.reason``. (Issue #1112)
* Drain and release connection before recursing on retry/redirect. Fixes
deadlocks with a blocking connectionpool. (Issue #1167)
* Fixed compatibility for cookiejar. (Issue #1229)
* pyopenssl: Use vendored version of ``six``. (Issue #1231)
- use pytest for running the tests. That is what upstream is doing
- update to 1.21.1:
* Fixed SecureTransport issue that would cause long delays in response body
delivery. (Pull #1154)
* Fixed regression in 1.21 that threw exceptions when users passed the
``socket_options`` flag to the ``PoolManager``. (Issue #1165)
* Fixed regression in 1.21 that threw exceptions when users passed the
``assert_hostname`` or ``assert_fingerprint`` flag to the ``PoolManager``.
* Improved performance of certain selector system calls on Python 3.5 and
later. (Pull #1095)
* Resolved issue where the PyOpenSSL backend would not wrap SysCallError
exceptions appropriately when sending data. (Pull #1125)
* Selectors now detects a monkey-patched select module after import for
modules
that patch the select module like eventlet, greenlet. (Pull #1128)
* Reduced memory consumption when streaming zlib-compressed responses
(as opposed to raw deflate streams). (Pull #1129)
* Connection pools now use the entire request context when constructing the
pool key. (Pull #1016)
* ``PoolManager.connection_from_*`` methods now accept a new keyword argument,
``pool_kwargs``, which are merged with the existing ``connection_pool_kw``.
* Add retry counter for ``status_forcelist``. (Issue #1147)
* Added ``contrib`` module for using SecureTransport on macOS:
``urllib3.contrib.securetransport``. (Pull #1122)
* urllib3 now only normalizes the case of ``http://`` and ``https://``
schemes:
for schemes it does not recognise, it assumes they are case-sensitive and
leaves them unchanged.
- Relax python-nose version requirement on SLE 12 (fate#321630)
- merge python3 modifications
- update for multipython build
- update to 1.20:
* Added support for waiting for I/O using selectors other than select,
improving urllib3?s behaviour with large numbers of concurrent connections.
(Pull #1001)
* Updated the date for the system clock check. (Issue #1005)
* ConnectionPools now correctly consider hostnames to be case-insensitive.
(Issue #1032)
* Outdated versions of PyOpenSSL now cause the PyOpenSSL contrib module to
fail when it is injected, rather than at first use. (Pull #1063)
* Outdated versions of cryptography now cause the PyOpenSSL contrib module to
fail when it is injected, rather than at first use. (Issue #1044)
* Automatically attempt to rewind a file-like body object when a request is
retried or redirected. (Pull #1039)
* Fix some bugs that occur when modules incautiously patch the queue module.
(Pull #1061)
* Prevent retries from occuring on read timeouts for which the request method
was not in the method whitelist. (Issue #1059)
* Changed the PyOpenSSL contrib module to lazily load idna to avoid
unnecessarily bloating the memory of programs that don?t need it. (Pull #1076)
* Add support for IPv6 literals with zone identifiers. (Pull #1013)
* Added support for socks5h:// and socks4a:// schemes when working with SOCKS
proxies, and controlled remote DNS appropriately. (Issue #1035)
update to version 1.19.1
* Forgot to mention #955.
* Starting o the user guide.
* Add ipaddress marker to setup.cfg.
* CHANGES for #897
* Version added 1.17
* Change debug level to 'debug' to match ConnectionPool
* Moving some stuff to advanced usage.
* Ignore only the unused import error
* Uniform checks.
* Add test for past date in Retry-After header
* Adding all reference docs
* Ok, I just gotta see what's going on here.
* Adding app engine docs
* Keep using the good OpenSSL
* Adding timeout section
* Removing absolute import in NTLMPool
* Use the good OpenSSL.
* Small pass at contributing
* parse_url: Disallow non-integer digits explicitly in port numbers
* Fixup some whitespace.
* Updating copy on landing page.
* Fix flake8 E305 errors
* Use OS default certs when possible
* Fleshing out user guide.
* Fallback to the vendored ipaddress module.
* Updating intersphinx to python 3.4
* Seems like version mismatch is the issue.
* Improve the cipher suite comment
* Retry backoff time is calculated only from the last consecutive errors
sequence
* Fix a typo in the user guide documentation
* Update docs guide with new dependencies
* Tests for #979
* Remove HIGH cipher suites as well.
* Adding SSL verification section to user guide.
* More CHANGES
* Changes for #1017
* Changelog for #1009.
* Vendor a backport of the ipaddress module.
* CHANGES for 1.19
* Fixed typos
* Revert "Fallback to the vendored ipaddress module."
* Use "with" to close more files eagerly and also on error
* Addressing review comments
* First stab at the new index page
* Removing unneeded scratch file.
* Fixing some references
* Moving some stuff around.
* CR fixes
* Remove 100% requirement from nosetests.
* Try using codecov
* Remove absolute import.
* Split ciphers up to individual lines.
* add warning when timeout without total is used on App Engine
* We don't want a sad @haikuginger
* RequestHistory is a namedtuple instance.
* I wonder if we're missing this.
* Switching to alabaster theme
* Prefer user-supplied host headers.
* Try shoving it in tox.ini
* Add include=urllib3/* to prevent core module coverage through six.moves
* Pointing flake8 specifically at the urllib3 package
* CHANGES for #955
* Sorry PyPy.
* Add support for ChaCha20.
* Make Travis CI fail if docs have warnings or errors
* Added CHANGES entry
* Test with OpenSSL 1.1 on Mac.
* Backport Python 3.5 match_hostname function.
* Wrap lines to under 99 chars
* Moving docs creation into tox
* Gotta use the pyenv everywhere.
* Explicitly check if a value in a multipart header is None instead of just a
falsy value
* Move to a more complex bit of idna handling.
* Make codecov enforce 100% coverage.
* Error if GAE_PYTHONPATH is not set when running make test-gae
* Changes for #258.
* adding length_remaining functionality to HTTPResponse
* test TLSv1 instead of SSLv3
* fixing infinite loop when stream(None) called
* Adding proxy section
* Don't forget setup.cfg
* Removing TODO
* add changelog for #978
* Stop testing our parsing via TLS failure.
* CHANGES for #928
* Add support for OS X.
* While I'm shotgun debugging.
* Merging new release version: 1.19.1
* Clean up some bugs.
* Support date in Retry-After header
* Defer to URLFetch's default timeout instead of hard coding 5s.
* Update Travis PyPy testing to 5.4
* Remove 3DES support.
* Seems like Python 2.6 doesn't like -m pip
* Adding logging and exceptions.
* changing conditional order to prefer isclosed over closed
* Have the 'secure' flag install ipaddress.
* Respect Retry-After header for redirection
* Respect Retry-After header
* Correct the import of urljoin for Python 3
* use dunder slots for Url class slots variable
* Update README.rst to better reflect new documentation.
* Allow PyPy 5.3 to fail
* updating CHANGES and CONTRIBUTORS
* Clarifying a few things.
* Revert "Remove ipaddress marker."
* Fix GAE_PYTHONPATH error in Makefile
* Removing symlinks from dummyserver certs to fix test suite on Windows
* adding in exception for booleans and zero values in timeouts
* CHANGES for #930
* add domain and method aware logging to connectionpool (#897)
* Add release note about #941 (#943)
* Make HTTPResponse.stream() work with file-like body of non-HTTPResponse
type (eg StringIO)
* Use HTTPException, LifoQueue, Empty, and Full from six
* CHANGES for #858 and #887
* Updating links to SSL warning help page. Fixes #918
* More alabaster customizations, starting on TOC
* CHANGES for #835
* It's possible but unlikely that we need combine
* We actually require cryptography-based PyOpenSSL now.
* PySocks 1.5.7 causes problems with IPv6.
* fixing socks and ssl docstrings.
* Fix doc syntax in user-guide.rst
* Urllib3 -> urllib3
* Removing uneeded files.
* Dear tox: plz propagate env vars. Thanks.
* Favour our own match_hostname over old versions.
* Bow before our fruit overlords.
* enforce_content_length for incrementally read responses
* fixing incorrect message for IncompleteRead
* Update setup.cfg
* Changelog for #986.
* Spelling fixes
* Line breaks.
* Adding docs/requirements.txt for readthedocs.
* CHANGES for #989.
* Normalize the scheme and host in the URL parser
* Update changes for 1.17
* Changes for #979
* Changelog update for #947.
* Update connectionpool.py
* Make BodyNotHttplibCompatible inherit from HttpError, urllib3's base
exception class, only
* Update changes for 1.18
* Update PyOpenSSL to not use ndg-httpsclient or pyasn1
* Retry history changed from list to tuple
* Add a cert with IP SAN and test for it.
* parse_retry_after: Disallow non-integer digits, allow whitespace
* Add failing test for #1009.
* Remove markers from setup.py.
* Use Travis supplied PyPy 5.3
* Support retry for 413, 429 and 503 status code
* Remove ipaddress marker.
* Revert "Vendor a backport of the ipaddress module."
* Adding retry section
* CVE-2016-9015: Correct set verify flags.
* Update CHANGES.rst for #911
* Tests for case-insensitivity in the scheme and host
* Add changelog for #967.
* Try updating setuptools.
* Updating flake8 locations
* Forward-port 1.18.1 changelog.
* Update [secure] extra.
* Add more advanced usage docs
* CHANGES for #990
* [contrib/pyopenssl] remove unused ssl_wrap_socket
* Import more from six
- update to 1.16:
* Disable IPv6 DNS when IPv6 connections are not possible. (Issue #840)
* Provide ``key_fn_by_scheme`` pool keying mechanism that can be
overridden. (Issue #830)
* Normalize scheme and host to lowercase for pool keys, and include
``source_address``. (Issue #830)
* Cleaner exception chain in Python 3 for ``_make_request``.
(Issue #861)
* Fixed installing ``urllib3[socks]`` extra. (Issue #864)
* Fixed signature of ``ConnectionPool.close`` so it can actually safely be
called by subclasses. (Issue #873)
* Retain ``release_conn`` state across retries. (Issues #651, #866)
* Add customizable ``HTTPConnectionPool.ResponseCls``, which defaults to
``HTTPResponse`` but can be replaced with a subclass. (Issue #879)
- Use pypi.io as Source url
- update to 1.15.1:
* Fix packaging to include backports module. (Issue #841)
* Added Retry(raise_on_status=False). (Issue #720)
* Always use setuptools, no more distutils fallback. (Issue #785)
* Dropped support for Python 3.2. (Issue #786)
* Chunked transfer encoding when requesting with ``chunked=True``.
* Fixed regression with IPv6 port parsing. (Issue #801)
* Append SNIMissingWarning messages to allow users to specify it in
the PYTHONWARNINGS environment variable. (Issue #816)
* Handle unicode headers in Py2. (Issue #818)
* Log certificate when there is a hostname mismatch. (Issue #820)
* Preserve order of request/response headers. (Issue #821)
- change Requires on pyopenssl, pyasn1 into Recommends,
add ndg-httpsclient as well
(these are dependencies of urrlib3's pyopenssl module, which can be
used if native python's ssl capabilities are not good enough)
- Update 1.14 source tar.gz from the source
* Rebase urllib3-test-no-coverage.patch
- Update to Version 1.14 (2015-12-29)
* contrib: SOCKS proxy support! (Issue #762)
* Fixed AppEngine handling of transfer-encoding header and bug in
Timeout defaults checking. (Issue #763)
- Update to Version 1.13.1 (2015-12-18)
* Fixed regression in IPv6 + SSL for match_hostname. (Issue #761)
- Update to Version 1.13 (2015-12-14)
* Fixed pip install urllib3[secure] on modern pip. (Issue #706)
* pyopenssl: Fixed SSL3_WRITE_PENDING error. (Issue #717)
* pyopenssl: Support for TLSv1.1 and TLSv1.2. (Issue #696)
* Close connections more defensively on exception. (Issue #734)
* Adjusted read_chunked to handle gzipped, chunk-encoded bodies
without repeatedly flushing the decoder, to function better on
Jython. (Issue #743)
* Accept ca_cert_dir for SSL-related PoolManager configuration.
(Issue #758)
- removed ready-event.patch: applied upstream
- disabled more dysfunctional tests
- restored ability to build with openSUSE <= 13.2
- removed python-certifi dependency, we don't want to use it
- drop 0001-Don-t-pin-dependency-to-exact-version.patch because it's
not needed anymore
- re-enable tests, re-add relevant dependencies
* don't exclude test_util.py
* exclude proxy timeout tests that fail for spurious reasons
- urllib3-ssl-default-context.patch - use set_default_verify_paths()
if no certificate path specified and verification not explicitly
disabled
- urllib3-test-ssl-drop-sslv3.patch - don't use "SSLv3" constants
in python 2.7.9 and up
- ready-event.patch - fix race conditions in timeout tests
- drop %pre section because apparently "egg-info as file" is no longer
true and this breaks builds
- Delete the system egg-info during pre phase: older versions of
the package installed it as a directory, the latest update
creates a file, and rpm has known issues with replacing this.
- add python-pyOpenSSL, python-certifi and python-pyasn1 requirements
- Comment out test requirements, as tests are disabled anyway, and
one of these packages depend on python-requests, which depends on
this package resulting in a circular dependency for openSUSE <= 13.1
- Update to version 1.12
* Rely on six for importing httplib to work around conflicts with
other Python 3 shims. (Issue #688)
* Add support for directories of certificate authorities, as
supported by OpenSSL. (Issue #701)
* New exception: NewConnectionError, raised when we fail to
establish a new connection, usually ECONNREFUSED socket error.
- Fix version dependencies
- Add new build requirements following upstream changes
* python-nose-exclude
* python-tox
* python-twine
* python-wheel
- Update 0001-Don-t-pin-dependency-to-exact-version.patch
- Disable tests for now, as there require network

==== python3 ====
Version update (3.7.2 -> 3.7.3)
Subpackages: python3-curses python3-dbm

- Set _lto_cflags to nil as the package is using LTO via --enable-lto.
That will prevent to propage LTO for Python modules that are
built in a separate package.
- bsc#1130840 (CVE-2019-9947): add CVE-2019-9947-no-ctrl-char-http.patch
Address the issue by disallowing URL paths with embedded
whitespace or control characters through into the underlying
http client request. Such potentially malicious header
injection URLs now cause a ValueError to be raised.
- Fix metadata of patches.
- Rename boo1071941-make-install-in-sep-loc.patch to
00251-change-user-install-location.patch which is the original
name, so it can be looked up in the Fedora VCS.
- Mark distutils bdist_wininst command unsupported
with 00316-mark-bdist_wininst-unsupported.patch
- Remove Windows bdist_wininst executables from runtime package
- Update to 3.7.3, which is the maintenance release without any
significant changes in API.
- Updated patches:
- CVE-2019-5010-null-defer-x509-cert-DOS.patch
- distutils-reproducible-compile.patch
- python-3.3.0b1-fix_date_time_compiler.patch
- python-3.6.0-multilib.patch
- raise_SIGING_not_handled.patch
- Remove building of Qt Develop help files.

==== python3-base ====
Version update (3.7.2 -> 3.7.3)
Subpackages: libpython3_7m1_0

- Set _lto_cflags to nil as the package is using LTO via --enable-lto.
That will prevent to propage LTO for Python modules that are
built in a separate package.
- bsc#1130840 (CVE-2019-9947): add CVE-2019-9947-no-ctrl-char-http.patch
Address the issue by disallowing URL paths with embedded
whitespace or control characters through into the underlying
http client request. Such potentially malicious header
injection URLs now cause a ValueError to be raised.
- Fix metadata of patches.
- Rename boo1071941-make-install-in-sep-loc.patch to
00251-change-user-install-location.patch which is the original
name, so it can be looked up in the Fedora VCS.
- Mark distutils bdist_wininst command unsupported
with 00316-mark-bdist_wininst-unsupported.patch
- Remove Windows bdist_wininst executables from runtime package
- Update to 3.7.3, which is the maintenance release without any
significant changes in API.
- Updated patches:
- CVE-2019-5010-null-defer-x509-cert-DOS.patch
- distutils-reproducible-compile.patch
- python-3.3.0b1-fix_date_time_compiler.patch
- python-3.6.0-multilib.patch
- raise_SIGING_not_handled.patch

==== qemu ====
Subpackages: qemu-arm qemu-block-curl qemu-block-dmg qemu-block-gluster
qemu-block-iscsi qemu-block-nfs qemu-block-rbd qemu-block-ssh qemu-extra
qemu-guest-agent qemu-ipxe qemu-ksm qemu-kvm qemu-lang qemu-ppc qemu-s390
qemu-seabios qemu-sgabios qemu-tools qemu-ui-curses qemu-ui-gtk qemu-ui-sdl
qemu-vgabios qemu-x86

- Content of packaged %_docdir/%name/interop/_static/ dir depends
on python-Sphinx version, so lets just wildcard specifying
those files, rather than trying to manage a specific file list
- Last change exposed that we still do rely on python2. Make
spec file adjustment
- Switch from python-Sphinx to Sphinx from python variant we are
building with (new Sphinx is for python3 only)

==== rdesktop ====

- Added rdesktop-Fix-decryption.patch
Patch from https://github.com/rdesktop/rdesktop/pull/334 to fix
connections to VirtualBox.

==== rsibreak ====
Version update (0.12.9 -> 0.12.10)
Subpackages: rsibreak-lang

- Update to 0.12.10:
* Added appdata file
* Translation improvements
* Minor internal refactoring
- Use %kf5_find_htmldocs macro to generate the translated docs
filelist
- Remove ldconfig calls in %post/%postun, the package doesn't
install shared libraries

==== rubygem-bcrypt_pbkdf ====
Version update (1.0.0 -> 1.0.1)

- updated to version 1.0.1
see installed CHANGELOG.md

==== rubygem-bindex ====
Version update (0.5.0 -> 0.7.0)

- updated to version 0.7.0
no changelog found

==== rubygem-bootsnap ====
Version update (1.4.2 -> 1.4.4)

- updated to version 1.4.4
see installed CHANGELOG.md
[#] 1.4.4
* Disable ISeq cache in `bootsnap/setup` by default in Ruby 2.5
[#] 1.4.3
* Fix some cache permissions and umask issues after switch to mkstemp

==== rubygem-bootstrap-sass ====
Version update (3.4.0 -> 3.4.1)

- updated to version 3.4.1
see installed CHANGELOG.md

==== rubygem-bundler-audit ====
Version update (0.6.0 -> 0.6.1)

- updated to version 0.6.1
see installed ChangeLog.md
[#]## 0.6.1 / 2019-01-17
* Require bundler `>= 1.2.0, < 3` to support [bundler] 2.0.

==== rubygem-cool.io ====
Version update (1.5.3 -> 1.5.4)

- updated to version 1.5.4
see installed CHANGES.md
1.5.4
- ----
* Add ruby 2.5 to windows gem

==== rubygem-cri ====
Version update (2.15.2 -> 2.15.5)

- updated to version 2.15.5
see installed NEWS.md
[#]# 2.15.5
Fixes:
* Restored compatibility with Ruby 2.3. (#91)
[#]# 2.15.4
Fixes:
* Removed dependency on `colored`, which restores functionality to gems that
`colored` breaks (e.g. `awesome_print`) (#89, #90)
- updated to version 2.15.3
see installed NEWS.md
[#]# 2.15.3
Fixes:
* Made `ArgumentList#each` callable without a block, in which case it returns
an `Enumerator` (mimicking `Array`) (#87, #88)

==== rubygem-devise-i18n ====
Version update (1.7.1 -> 1.8.0)

- updated to version 1.8.0
no changelog found

==== rubygem-excon ====
Version update (0.62.0 -> 0.64.0)

- updated to version 0.64.0
see installed changelog.txt
0.64.0 2019-04-15
=================
warn, not error on undefined middlewares#valid_parameter keys
0.63.0 2019-04-12
=================
allow setting min/max ssl versions
add additional nonblocking ruby error classes
set logger via datum, instead of class variables
misc test/travis fixes
consolidate binary encoding, avoid double encoding
error or CR/LF instead of substitute
guard against invalid header keys
also retry blocked connect with newer ruby errors
clarify that username and password should be escaped
better handling of warnings in tests
add stalebot
document NO_PROXY
validate parameter keys based on middleware stack
update default retry on error counts in readme
Sweet32, DES deprioritization fixes to cipher suite
allow overriding retry_errors count
fix for URI escaping in Ruby 2.6
update copyright notice
add metadata to gemspec
update certs

==== rubygem-faraday_middleware ====
Version update (0.12.2 -> 0.13.1)

- updated to version 0.13.1
no changelog found

==== rubygem-fluentd ====
Version update (1.4.1 -> 1.4.2)

- updated to version 1.4.2
see installed CHANGELOG.md
[#]# Release v1.4.2 - 2019/04/02
[#]## Enhancements
* in_http: subdomain support in CORS domain
https://github.com/fluent/fluentd/pull/2337
* in_monitor_agent: Expose current timekey list as a buffer metrics
https://github.com/fluent/fluentd/pull/2343
* in_tcp/in_udp: Add source_address_key parameter
https://github.com/fluent/fluentd/pull/2347
* in_forward: Add send_keepalive_packet parameter to check the remote
connection is available or not
https://github.com/fluent/fluentd/pull/2352
[#]## Bug fixes
* out_exec_filter: Fix typo of child_respawn description
https://github.com/fluent/fluentd/pull/2341
* in_tail: Create parent directories for symlink
https://github.com/fluent/fluentd/pull/2353
* in_tail: Fix encoding duplication check for non-specified case
https://github.com/fluent/fluentd/pull/2361
* log: Fix time format handling of plugin logger when log format is JSON
https://github.com/fluent/fluentd/pull/2356

==== rubygem-font-awesome-rails ====
Version update (4.7.0.4 -> 4.7.0.5)

- updated to version 4.7.0.5
no changelog found

==== rubygem-grape ====
Version update (1.2.2 -> 1.2.3)

- updated to version 1.2.3
see installed CHANGELOG.md
[#]## 1.2.4 (Next)
[#]### Features
* Your contribution here.
[#]### Fixes
* Your contribution here.
[#]## 1.2.3 (2019/01/16)
[#]### Features
* [#1850](https://github.com/ruby-grape/grape/pull/1850): Adds `same_as`
validator - [@glaucocustodio](https://github.com/glaucocustodio).
* [#1833](https://github.com/ruby-grape/grape/pull/1833): Allows to set the
`ParamBuilder` globally - [@myxoh](https://github.com/myxoh).
[#]### Fixes
* [#1852](https://github.com/ruby-grape/grape/pull/1852): `allow_blank`
called after `as` when the original param is not blank -
[@glaucocustodio](https://github.com/glaucocustodio).
* [#1844](https://github.com/ruby-grape/grape/pull/1844): Enforce `:tempfile`
to be a `Tempfile` object in `File` validator -
[@Nyangawa](https://github.com/Nyangawa).

==== rubygem-gssapi ====
Version update (1.2.0 -> 1.3.0)

- updated to version 1.3.0
see installed Changelog.md
[#]# Version 1.3.0
Sorry everyone that this has taken so long to go out. I don't really work much
with GSSAPI so it hasn't been a priority for me.
* Implemented delegation and added verify_mic. Thanks @mfazekas
* Add loading of MIT GSS libs for solaris/smartos. Thanks @fac
* Fix corruption in iov_decrypt example. Thanks @Iristyle

==== rubygem-haml-rails ====
Version update (1.0.0 -> 2.0.0)

- updated to version 2.0.0
no changelog found

==== rubygem-hashdiff ====
Version update (0.3.8 -> 0.3.9)

- updated to version 0.3.9
see installed changelog.md
[#]# v0.3.9 2019-04-22
* Performance tweak (thanks @krzysiek1507: #51 #52 #53)

==== rubygem-highline ====
Version update (2.0.0 -> 2.0.2)

- updated to version 2.0.2
see installed Changelog.md
- updated to version 2.0.1
see installed Changelog.md
[#]## 2.0.1 / 2018-01-23
* PR #238 / I #237 - Rescue Errno::ENOTTY when pipeing

==== rubygem-hitimes ====
Version update (1.3.0 -> 1.3.1)

- updated to version 1.3.1
see installed HISTORY.md
[#]# Version 1.3.1 2019-01-18
* Update jruby extension to not use global runtime state (thanks @kares) (#70)
* Update travis CI config
* Update documentataion for Ruby 2.6

==== rubygem-js-routes ====
Version update (1.4.4 -> 1.4.6)

- updated to version 1.4.6
see installed CHANGELOG.md
[#]# v1.4.6
* Fix regression of #244 in #243
[#]# v1.4.5
* Fix escaping inside route parameters and globbing #244
[#]# v1.4.4

==== rubygem-json ====
Version update (2.1.0 -> 2.2.0)

- updated to version 2.2.0
see installed CHANGES.md
[#]# 2019-02-21 (2.2.0)
* Adds support for 2.6 BigDecimal and ruby standard library Set datetype.

==== rubygem-json_pure ====
Version update (2.1.0 -> 2.2.0)

- updated to version 2.2.0
see installed CHANGES.md
[#]# 2019-02-21 (2.2.0)
* Adds support for 2.6 BigDecimal and ruby standard library Set datetype.

==== rubygem-kramdown ====
Version update (1.17.0 -> 2.1.0)

- updated to version 2.1.0
news.feed removed upstream

==== rubygem-lightbox2 ====
Version update (2.10.0.2 -> 2.11.0)

- updated to version 2.11.0
no changelog found

==== rubygem-mime-types-data ====
Version update (3.2018.0812 -> 3.2019.0331)

- updated to version 3.2019.0331
see installed History.md
[#]# 3.2019.0331 / 2019-03-31
* Updated the IANA media registry entries as of release date.
* Added support for `application/wasm` with extension `.wasm`. [#21][]
* Fixed `application/ecmascript` extensions. [#20][]

==== rubygem-mini_magick ====
Version update (4.9.2 -> 4.9.3)

- updated to version 4.9.3
no changelog found

==== rubygem-mixlib-authentication ====
Version update (2.1.1 -> 3.0.1)

- updated to version 3.0.1
no changelog found

==== rubygem-mixlib-config ====
Version update (2.2.18 -> 3.0.1)

- updated to version 3.0.1
no changelog found

==== rubygem-mocha ====
Version update (1.7.0 -> 1.8.0)

- updated to version 1.8.0
no changelog found

==== rubygem-moneta ====
Version update (1.1.0 -> 1.1.1)

- updated to version 1.1.1
see installed CHANGES
1.1.1
* Adapters::Sequel - use prepared statements
* Adapters::Sqlite - use upsert for increment where supported

==== rubygem-msgpack ====
Version update (1.2.9 -> 1.2.10)

- updated to version 1.2.10
see installed ChangeLog
2019-04-19 version 1.2.10:
* Optimze MessagePack.unpack not to copy source string

==== rubygem-paint ====
Version update (2.0.3 -> 2.1.0)

- updated to version 2.1.0
see installed CHANGELOG.md
[#]## 2.1.0
* Set True Color as default mode on more terminals, patch by @smoochbot

==== rubygem-passenger ====
Version update (6.0.1 -> 6.0.2)
Subpackages: ruby2.6-rubygem-passenger rubygem-passenger-apache2

- updated to version 6.0.2
see installed CHANGELOG
Release 6.0.2
- ------------
* Allow compilation to work when Apple messed up their system ruby headers.
* Only try to read pid 1's /proc files as root, in container detection.
Closes GH-2168.
* Add an option to disable prefixing application logs with "App PID stdout":
`PassengerDisableLogPrefix` (Apache) / `passenger_disable_log_prefix` (Nginx).
Closes GH-1915.
* Add support for identifying the Passenger instance by PID. Closes GH-2146.
Contributed by Saverio Miroddi (@saveriomiroddi).
* [Ruby] Made Passenger more resiliant to Rack bugs. Closes GH-2150.
* [Nginx] Do not touch Nginx's proxy_temp_path var in Passenger's nginx
modules. Closes GH-2075. Contributed by Roman Berestnikov-Sivolov (@ROMB).
* Updated Ruby versions used in precompiled binaries (used for e.g. gem
installs) to include 2.6.1.
* Updated various library versions used in precompiled binaries (used for
e.g. gem installs):
- Curl: 7.64.0 (was: 7.63.0)
- Ruby: 2.6.1 (was: 2.6.0)
- RubyGems 3.0.2 (was: 3.0.1)
- ccache 3.6 (was: 3.5)
- GnuPG 2.2.13 (was: 2.2.12)
- libassuan 2.5.3 (was: 2.5.2)
- libgpg_error 1.35 (was: 1.33)

==== rubygem-pundit ====
Version update (2.0.0 -> 2.0.1)

- updated to version 2.0.1
see installed CHANGELOG.md
[#]# 2.0.1 (2019-01-18)
[#]## Breaking changes
None
[#]## Other changes
- Improve exception handling for `#policy_scope` and `#policy_scope!`. (#550)
- Add `:policy` metadata to RSpec template. (#566)

==== rubygem-rails-i18n ====
Version update (5.1.2 -> 5.1.3)

- updated to version 5.1.3
see installed CHANGELOG.md
[#]# 5.1.3 (2019-01-28)
- Update following locales:
- Spanish (es-*)
- English (en-*)
- Hungarian (hu)
- Hebrew (he)
- Cyrillic Serbian (sr)
- Farsi/Persian (fa)

==== rubygem-responders ====
Version update (2.4.0 -> 2.4.1)

- updated to version 2.4.1
see installed CHANGELOG.md
[#]# 2.4.1
* Add support for Rails 6 beta

==== rubygem-rspec-its ====
Version update (1.2.0 -> 1.3.0)

- updated to version 1.3.0
see installed Changelog.md
[#]## 1.3.0 / 2019-04-09
[full changelog](http://github.com/rspec/rspec-its/compare/v1.2.0...v1.3.0)
Enhancements:
* Introduced `will` and `will_not` as to allow one line block expectations.
(Russ Buchanan, #67)

==== rubygem-safe_yaml ====
Version update (1.0.4 -> 1.0.5)

- updated to version 1.0.5
see installed CHANGES.md
1.0.5
- ----
- fixed [#80](https://github.com/dtao/safe_yaml/issues/80): uninitialized
constant DateTime

==== rubygem-sass ====
Version update (3.7.3 -> 3.7.4)

- updated to version 3.7.4
no changelog found

==== rubygem-sassc-rails ====
Version update (2.1.0 -> 2.1.1)

- updated to version 2.1.1
no changelog found

==== rubygem-serverengine ====
Version update (2.1.0 -> 2.1.1)

- updated to version 2.1.1
see installed Changelog
2019-04-22 version 2.1.1:
* Fix bug to ignore SIGDUMP_SIGNAL

==== rubygem-sqlite3 ====
Version update (1.3.13 -> 1.4.1)

- updated to version 1.4.1
see installed CHANGELOG.rdoc
- updated to version 1.4.0
see installed CHANGELOG.rdoc
=== 1.4.0
* Enhancements
* Better aggregator support
* Bugfixes
* Various
=== 1.3.13
* Enancements
* Support SQLite flags when defining functions
* Add definition for SQLITE_DETERMINISTIC flag

==== rubygem-sshkit ====
Version update (1.18.0 -> 1.18.2)

- updated to version 1.18.2
see installed CHANGELOG.md
[#]# [1.18.2][] (2019-02-03)
* [#448](https://github.com/capistrano/sshkit/pull/448): Fix misbehaving
connection eviction loop when disabling connection pooling - [Sebastian
Cohnen](https://github.com/tisba)
[#]# [1.18.1][] (2019-01-26)
* [#447](https://github.com/capistrano/sshkit/pull/447): Fix broken thread
safety by widening critical section - [Takumasa
Ochi](https://github.com/aeroastro)

==== rubygem-term-ansicolor ====
Version update (1.7.0 -> 1.7.1)

- updated to version 1.7.1
see installed CHANGES
2019-01-18 - 1.7.1 * Fix term_display command for never tins

==== rubygem-timers ====
Version update (4.2.0 -> 4.3.0)

- updated to version 4.3.0
no changelog found

==== rubygem-tmuxinator ====
Version update (0.15.0 -> 1.1.0)

- updated to version 1.1.0
no changelog found

==== rubygem-unicorn ====

- backport fix booting rails apps with 5.5.0
added patch: 6836d06.patch

==== rubygem-validate_url ====
Version update (1.0.6 -> 1.0.8)

- updated to version 1.0.8
no changelog found

==== rubygem-yard ====
Version update (0.9.16 -> 0.9.19)

- updated to version 0.9.19
see installed CHANGELOG.md
- updated to version 0.9.18
see installed CHANGELOG.md

==== salt ====
Subpackages: python3-salt salt-master salt-minion

- Fix zypper pkg.list_pkgs test expectation and dpkg mocking
- Added:
* fix-zypper-pkg.list_pkgs-expectation-and-dpkg-mockin.patch
- Set 'salt' group for files and directories created by
salt-standalone-formulas-configuration package
- Various fixes for virt module
- Fix virt.volume_infos raising an exception when there is only virtual machine
on the minion.
- Fix virt.purge() on all non-KVM hypervisors. For instance on Xen, virt.purge
would simply throw an exception about unsupported flag
- Building a libvirt pool starts it. When defining a new pool, we need to
let build start it or we will get libvirt errors.
- Fix handling of Virtual Machines with white space in their name.
- Added:
* virt.pool_running-fix-pool-start.patch
* virt-handle-whitespaces-in-vm-names.patch
* virt.volume_infos-fix-for-single-vm.patch
* try-except-undefineflags-as-this-operation-is-not-su.patch
- avoid batch.py exception when minion does not respond (bsc#1135507)
- Added:
* batch.py-avoid-exception-when-minion-does-not-respon.patch
- Preserve already defined DESTRUCTIVE_TESTS and EXPENSIVE_TESTS
env variables
- Added:
* preserve-already-defined-destructive_tests-and-expen.patch
- Do not break repo files with multiple line values on yumpkg (bsc#1135360)
- Added:
* do-not-break-repo-files-with-multiple-line-values-on.patch

==== sushi ====
Version update (3.32.0 -> 3.32.1)
Subpackages: sushi-lang

- Update to version 3.32.1:
+ Specify GtkSourceView 3.0 import version.
- Rebase sushi-port-to-gtksourceview4.patch, drop part now included
in tarball.
- Add sushi-port-to-gtksourceview4.patch: Port to gtksourceview4.
Following this patch, replace pkgconfig(gtksourceview-3.0) with
pkgconfig(gtksourceview-4) BuildRequires.

==== systemd-presets-branding-transactional-server ====

- BuildRequire pkgconfig(systemd) instead of systemd: allow OBS to
shortcut the build queues by allowing usage of systemd-mini

==== vlc ====
Version update (3.0.6 -> 3.0.7.1)
Subpackages: libvlc5 libvlccore9 vlc-codec-gstreamer vlc-lang vlc-noX vlc-qt
vlc-vdpau

- Update to version 3.0.7.1:
+ Access: Update libbluray to 1.1.2.
+ Video Output:
* Fix hardware acceleration with some AMD drivers
* Improve direct3d11 HDR support
- Changes from version 3.0.7:
+ Access:
* Improve Blu-ray support
* Fix sftp module build with libssh >= 1.8.1
+ Audio output:
* Fix pass-through on Android-23
* Fix DirectSound drain
+ Demux: Improve MP4 support
+ Video Output:
* Fix 12 bits sources playback with Direct3D11
* Fix crash on iOS
* Fix midstream aspect-ratio changes when Windows hardware decoding is on
* Fix HLG display with Direct3D11
+ Stream Output: Improve Chromecast support with new ChromeCast apps
+ Misc:
* Update Youtube, Dailymotion, Vimeo, Soundcloud scripts
* Work around busy looping when playing an invalid item with loop enabled
+ Updated translations.
- Drop vlc-libssh2-ECDSA-version.patch and
0001-codec-vpx-Detect-libvpx-1.8.0.patch: fixed upstream
- Rebase patches/0002-Add-Avahi-implementation-for-chromecast-renderer-dis.patch

==== xdg-desktop-portal-kde ====
Version update (5.16.0 -> 5.16.1)
Subpackages: xdg-desktop-portal-kde-lang

- Update to 5.16.1
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.16.1.php
- No code changes since 5.16.0

==== xfce4-panel-plugin-cpugraph ====
Version update (1.0.5 -> 1.0.90)
Subpackages: xfce4-panel-plugin-cpugraph-lang

- update to version 1.0.90
- GTK 3 Port
- Updated translations
- Cleaned spec file (URLs with https, Git bcond)

==== zstd ====

- Remove googletest-devel BuildRequires and pzstd-global-gtest.patch
because we want zstd in ring0 (due to rpm's zstd payload support)
Since googletest is only used in build time (it's for testing after
all), this should be fine.


< Previous Next >
This Thread
  • No further messages